//
//  PodcastEpisodeDetail.swift
//  PodcastsApp
//
//  Created by BREUIL Yohann on 14/05/2023.
//

import SwiftUI

struct PodcastEpisode: View {
    var body: some View {
        VStack(alignment: .leading) {
            Text("Samedi")
                .font(.caption)
                .textCase(.uppercase)
            Text("Title of episode")
                .font(.title2)
            Text("Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do")
            HStack {
                Button(action: {}) {
                    Image(systemName: "play.fill")
                }
                .frame(width: 33, height: 33)
                .foregroundColor(Color.purple)
                .background(Color.gray)
                .clipShape(Circle())
                    
                Text("52 min")
                Spacer()
                Image(systemName: "ellipsis")
                    
            }
        }
        .padding()
    }
}

struct PodcastEpisodeDetail_Previews: PreviewProvider {
    static var previews: some View {
        Group {
            PodcastEpisode()
            PodcastEpisode().preferredColorScheme(.dark)
        }
        
    }
}
